using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace memoQSampleCMSConnector
{
	class Program
	{

		public static MainForm mainWindow;

        [STAThread]
		static void Main(string[] args)
		{

			try
			{
				ConfigurationHelper.Initialize();

				Application.EnableVisualStyles();
				Application.SetCompatibleTextRenderingDefault(false);
				mainWindow = new MainForm();
				Application.Run(mainWindow);
			}
			catch (Exception ex)
			{
				Log.isProgress = false;
				Log.isLog = true;
				Log.AddLog("Unhandled exception: " + ex.ToString(), MessageType.Error);
				MessageBox.Show("Unhandled exception: " + ex.ToString(), "Unhandled error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}

		}
	}
}
